using Edu.Common.Enum.User;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{

    /// <summary>
    /// rb_workflow_goout Entity
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class Rb_Workflow_GoOut
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 开始时间
        /// </summary>   
        public DateTime? StartTime
        {
            get;
            set;
        }
        /// <summary>
        /// 结束时间
        /// </summary>     
        public DateTime? EndTime
        {
            get;
            set;
        }
        /// <summary>
        /// 时长
        /// </summary>    
        public double? Duration
        {
            get;
            set;
        }
        /// <summary>
        /// 外出事由
        /// </summary>    
        public string Description
        {
            get;
            set;
        }
        /// <summary>
        /// 图片
        /// </summary>        
        public string Image
        {
            get;
            set;
        }
        /// <summary>
        /// 1审核中  2 撤回  3 驳回  4 不通过  5 通过
        /// </summary>        
        public UserWFAuditStatus? Status
        {
            get;
            set;
        }
        /// <summary>
        /// CreateBy
        /// </summary>        
        public int? CreateBy
        {
            get;
            set;
        }
        /// <summary>
        /// CreateTime
        /// </summary>        
        public DateTime? CreateTime
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateBy
        /// </summary>        
        public int? UpdateBy
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateTime
        /// </summary>        
        public DateTime? UpdateTime
        {
            get;
            set;
        }
        /// <summary>
        /// 所属集团
        /// </summary>        
        public int? RB_GroupId
        {
            get;
            set;
        }
        /// <summary>
        /// 所属公司
        /// </summary>        
        public int? RB_BranchId
        {
            get;
            set;
        }
        /// <summary>
        /// 所属模版id
        /// </summary>        
        public int? TemplateId
        {
            get;
            set;
        }
        /// <summary>
        /// 工作流条件表id
        /// </summary>        
        public int? ConditionId
        {
            get;
            set;
        }
        /// <summary>
        /// 是否是撤销流程   1正常  2 撤销
        /// </summary>
        public WFAuditCancelStatus? IsCancel { get; set; }
    }
}